Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Universal Database
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.db2adapter.base
Class ResultSetAgentImpl

    java.lang.Object
      com.stc.connector.db2adapter.base.ResultSetAgentImpl

All Implemented Interfaces:
  com.stc.connector.appconn.db.ResultSetAgent, com.stc.connector.db.StatementEventListener

Direct Known Subclasses:
  Db2CallableStatementResultSet

    public class ResultSetAgentImpl

extends java.lang.Object
implements com.stc.connector.appconn.db.ResultSetAgent, com.stc.connector.db.StatementEventListener

Agent hosts ResultSet interface.

Version:
  $Revision: 1.9 $
Author:
  $Author: afung $

Field Summary
`protected int` | `concurrencyType` Holds the concurrency type.
`protected int` | `fetchDirection` Holds the fetch direction.
`protected java.sql.ResultSet` | `resultSet` A ResultSet object which holds the result set.
`protected int` | `resultSetType` Holds the Result Set type.
`protected java.sql.ResultSetMetaData` | `rsmd` Holds the Result Set metadata.
`protected com.stc.connector.db.Session` | `session` A Session object which holds the current connection.
`protected java.lang.String` | `sName` Holds the instance name.
`protected java.sql.SQLException` | `sqlException` Holds the last SQLException.

Constructor Summary
`ResultSetAgentImpl(com.stc.connector.db.Session session)` ResultSetAgentImpl constructor.

Method Summary
`boolean` | `absolute(int index)` Moves the cursor to the specified row of the result set.
`void` | `afterLast()` Moves the cursor after the last row of the result set.
`void` | `beforeFirst()` Moves the cursor before the first row of the result set.
`void` | `cancelRowUpdates()` Rolls back the updates made to a row if it is invoked before calling the method updateRow.
`void` | `clearWarnings()` Clears any warnings reported on this object.
`void` | `close()` Immediately releases a ResultSet object's resources.
`void` | `deleteRow()` Deletes the current row from the result set and the underlying database.
`int` | `findColumn(java.lang.String index)` Returns the column index for the named column in the result set.
`boolean` | `first()` Moves the cursor to the first row of the result set.
`java.sql.Array` | `getArray(int index)` Gets the Array value of the specified column.
`java.sql.Array` | `getArray(java.lang.String index)` Gets the Array value of the specified column.
`java.io.InputStream` | `getAsciiStream(int index)` Retrieves the value of the specified column vlaue as a stream of ASCII characters.
`java.io.InputStream` | `getAsciiStream(java.lang.String index)` Retrieves the value of the specified column as a stream of ASCII characters.
`java.math.BigDecimal` | `getBigDecimal(int index)` Gets the decimal value of the specified column..
`java.math.BigDecimal` | `getBigDecimal(java.lang.String index)` Gets the decimal value of the specified column.
`java.io.InputStream` | `getBinaryStream(int index)` Retrieves the value of the specified column as a stream of uninterpreted bytes.
`java.io.InputStream` | `getBinaryStream(java.lang.String index)` Retrieves the value of the specified column as a stream of uninterpreted bytes.
`java.sql.Blob` | `getBlob(int index)` Gets the Blob value of the specified column.
`java.sql.Blob` | `getBlob(java.lang.String index)` Gets the Blob value of the specified column.
`boolean` | `getBoolean(int index)` Gets the boolean value of the specified column.
`boolean` | `getBoolean(java.lang.String index)` Gets the boolean value of the specified column.
`byte` | `getByte(int index)` Gets the byte value of the specified column.
`byte` | `getByte(java.lang.String index)` Gets the byte value of the specified column.
`byte[]` | `getBytes(int index)` Gets the byte array value of the specified column.
`byte[]` | `getBytes(java.lang.String index)` Gets the byte array value of the specified column.
`java.io.Reader` | `getCharacterStream(int index)` Retrieves the value of the specified column as a Reader object.
`java.io.Reader` | `getCharacterStream(java.lang.String index)` Retrieves the value of the specified column as a Reader object.
`java.sql.Clob` | `getClob(int index)` Gets the Clob value of the specified column.
`java.sql.Clob` | `getClob(java.lang.String index)` Gets the Clob value of the specified column.
`int` | `getConcurrency()` Gets the concurrency mode for this ResultSet object.
`java.lang.String` | `getCursorName()` Retrieves the name for the cursor associated with this ResultSet object.
`java.sql.Date` | `getDate(int index)` Gets the date value of the specified column.
`java.sql.Date` | `getDate(int index, java.util.Calendar calendar)` Gets the date value of the specified column using the time zone from calendar.
`java.sql.Date` | `getDate(java.lang.String index)` Gets the date value of the specified column.
`java.sql.Date` | `getDate(java.lang.String index, java.util.Calendar calendar)` Gets the date value of the specified column using the time zone from calendar.
`double` | `getDouble(int index)` Gets the double value of the specified column..
`double` | `getDouble(java.lang.String index)` Gets the double value of the specified column.
`int` | `getFetchDirection()` Gets the direction suggested to the driver as the row fetch direction.
`int` | `getFetchSize()` Gets the number of rows to fetch suggested to the driver
`float` | `getFloat(int index)` Gets the float value of the specified column..
`float` | `getFloat(java.lang.String index)` Gets the float value of the specified column..
`int` | `getInt(int index)` Gets the integer value of the specified column.
`int` | `getInt(java.lang.String index)` Gets the integer value of the specified column.
`long` | `getLong(int index)` Gets the long value of the specified column.
`long` | `getLong(java.lang.String index)` Gets the long value of the specified column.
`java.sql.ResultSetMetaData` | `getMetaData()` Gets the concurrency mode for this ResultSet object.
`java.lang.Object` | `getObject(int index)` Gets the object value of the specified column.
`java.lang.Object` | `getObject(int index, java.util.Map map)` Gets the object value of the specified column using the given type map.
`java.lang.Object` | `getObject(java.lang.String index)` Gets the object value of the specified column.
`java.lang.Object` | `getObject(java.lang.String index, java.util.Map map)` Gets the object value of the specified column using the given type map.
`java.sql.Ref` | `getRef(int index)` Gets the Ref value of the specified column.
`java.sql.Ref` | `getRef(java.lang.String index)` Gets the Ref value of the specified column..
`int` | `getRow()` Retrieves the current row number in the result set.
`short` | `getShort(int index)` Gets the short value of the specified column.
`short` | `getShort(java.lang.String index)` Gets the short value of the specified column.
`java.lang.String` | `getString(int index)` Gets the string value of the specified column.
`java.lang.String` | `getString(java.lang.String index)` Gets the string value of the specified column.
`java.sql.Time` | `getTime(int index)` Gets the time value of the specified column.
`java.sql.Time` | `getTime(int index, java.util.Calendar calendar)` Gets the time value of the specified column using the time zone from calendar.
`java.sql.Time` | `getTime(java.lang.String index)` Gets the time value of the specified column.
`java.sql.Time` | `getTime(java.lang.String index, java.util.Calendar calendar)` Gets the time value of the specified column using the time zone from calendar.
`java.sql.Timestamp` | `getTimestamp(int index)` Gets the timestamp value of the specified column.
`java.sql.Timestamp` | `getTimestamp(int index, java.util.Calendar calendar)` Gets the timestamp value of the specified column using the time zone from calendar.
`java.sql.Timestamp` | `getTimestamp(java.lang.String index)` Gets the timestamp value of the specified column.
`java.sql.Timestamp` | `getTimestamp(java.lang.String index, java.util.Calendar calendar)` Gets the timestamp value of the specified column using the time zone from calendar.
`int` | `getType()` Retrieves the scroll type of cursor associated with the result set.
`java.sql.SQLWarning` | `getWarnings()` Gets the first SQLWarning that has been reported for this object..
`void` | `insertRow()` Inserts the contents of the insert row into the result set and the database.
`boolean` | `isAfterLast()` Determines whether the cursor is after the last row of the result set.
`boolean` | `isBeforeFirst()` Determines whether the cursor is before the first row of the result set.
`boolean` | `isFirst()` Determines whether the cursor is on the first row of the result set.
`boolean` | `isLast()` Determines whether the cursor is on the last row of the result set.
`boolean` | `last()` Moves the cursor to the last row of the result set.
`void` | `moveToCurrentRow()` Moves the cursor to the remembered cursor position in the result set before it was moved to the insert row.
`void` | `moveToInsertRow()` Moves the cursor to the insert row that associated with an updatable result set.
`boolean` | `next()` Moves the cursor to the next row of the result set.
`boolean` | `previous()` Moves the cursor to the previous row of the result set.
`java.lang.String` | `queryName()` Retrieves a ResultSetMetaData object that contains ResultSet propreties.
`void` | `refreshRow()` Replaces the values int the current row of the result set with their current.
`boolean` | `relative(int index)` Moves the cursor to the specified row relative to current row of the result set.
`void` | `resultSetOpen(com.stc.connector.db.StatementEvent evt)` Handles resultSetOpen event.
`void` | `resultSetToBeOpened()` Signals a result set is going to be opened.
`boolean` | `rowDeleted()` Determines whether the current row in the result set has been deleted.
`boolean` | `rowInserted()` Determines whether the current row in this result set has been inserted..
`boolean` | `rowUpdated()` Determines whether the current row int the result set has been updated..
`void` | `setFetchDirection(int iDir)` Gives the driver a hint as to the row process direction.
`void` | `setFetchSize(int nSize)` Gives the drivers a hint as to the number of rows that should be fetched each time.
`void` | `statementClose(com.stc.connector.db.StatementEvent evt)` Handles statementClose event.
`void` | `statementReset(com.stc.connector.db.StatementEvent evt)` Handles statementReset event.
`void` | `updateAsciiStream(int index, java.io.InputStream is, int length)` Updates the designated column with an InputStream object of specified length.
`void` | `updateAsciiStream(java.lang.String index, java.io.InputStream is, int length)` Updates the designated column with an InputStream object of specified length.
`void` | `updateBigDecimal(int index, java.math.BigDecimal dec)` Updates the designated column with a BigDecimal object.
`void` | `updateBigDecimal(java.lang.String index, java.math.BigDecimal dec)` Updates the designated column with a BigDecimal object.
`void` | `updateBinaryStream(int index, java.io.InputStream is, int length)` Updates the designated column with an InputStream object of specified length.
`void` | `updateBinaryStream(java.lang.String index, java.io.InputStream is, int length)` Updates the designated column with an InputStream object of specified length.
`void` | `updateBoolean(int index, boolean b)` Updates the designated column with a boolean value.
`void` | `updateBoolean(java.lang.String index, boolean b)` Updates the designated column with a boolean value.
`void` | `updateByte(int index, byte byt)` Updates the designated column with a byte value.
`void` | `updateByte(java.lang.String index, byte byt)` Updates the designated column with a byte value.
`void` | `updateBytes(int index, byte[] bytes)` Updates the designated column with a byte array value.
`void` | `updateBytes(java.lang.String index, byte[] bytes)` Updates the designated column with a byte array value.
`void` | `updateCharacterStream(int index, java.io.Reader rd, int length)` Updates the designated column with a Reader object of specified length.
`void` | `updateCharacterStream(java.lang.String index, java.io.Reader rd, int length)` Updates the designated column with a Reader object of specified length.
`void` | `updateDate(int index, java.sql.Date date)` Updates the designated column with a Date object.
`void` | `updateDate(java.lang.String index, java.sql.Date date)` Updates the designated column with a Date object.
`void` | `updateDouble(int index, double d)` Updates the designated column with a double value.
`void` | `updateDouble(java.lang.String index, double d)` Updates the designated column with a double value.
`void` | `updateFloat(int index, float f)` Updates the designated column with a float value.
`void` | `updateFloat(java.lang.String index, float f)` Updates the designated column with a float value.
`void` | `updateInt(int index, int i)` Updates the designated column with an integer value.
`void` | `updateInt(java.lang.String index, int i)` Updates the designated column with an integer value.
`void` | `updateLong(int index, long l)` Updates the designated column with a long value.
`void` | `updateLong(java.lang.String index, long l)` Updates the designated column with a long value.
`void` | `updateNull(int index)` Updates the designated nullable column with a null value.
`void` | `updateNull(java.lang.String index)` Updates the designated nullable column with a null value.
`void` | `updateObject(int index, java.lang.Object ob)` Updates the designated column with a Object value.
`void` | `updateObject(int index, java.lang.Object ob, int scale)` Updates the designated column with a Object value with the specified scale.
`void` | `updateObject(java.lang.String index, java.lang.Object ob)` Updates the designated column with a Object value.
`void` | `updateObject(java.lang.String index, java.lang.Object ob, int scale)` Updates the designated column with a Object value with the specified scale.
`void` | `updateRow()` Updates the underlying database with the new contents of the current row.
`void` | `updateShort(int index, short si)` Updates the designated column with a short value.
`void` | `updateShort(java.lang.String index, short si)` Updates the designated column with a short value.
`void` | `updateString(int index, java.lang.String s)` Updates the designated column with a String object.
`void` | `updateString(java.lang.String index, java.lang.String s)` Updates the designated column with a String object.
`void` | `updateTime(int index, java.sql.Time t)` Updates the designated column with a Time object.
`void` | `updateTime(java.lang.String index, java.sql.Time t)` Updates the designated column with a Time object.
`void` | `updateTimestamp(int index, java.sql.Timestamp ts)` Updates the designated column with a Timestamp object.
`void` | `updateTimestamp(java.lang.String index, java.sql.Timestamp ts)` Updates the designated column with a Timestamp object.
`boolean` | `wasNull()` Checks to see if the last value read was SQL NULL or not..

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### session

    protected com.stc.connector.db.Session session

  A Session object which holds the current connection.

### resultSet

    protected java.sql.ResultSet resultSet

  A ResultSet object which holds the result set.

### sqlException

    protected java.sql.SQLException sqlException

  Holds the last SQLException.

### rsmd

    protected java.sql.ResultSetMetaData rsmd

  Holds the Result Set metadata.

### sName

    protected java.lang.String sName

  Holds the instance name.

### resultSetType

    protected int resultSetType

  Holds the Result Set type.

### concurrencyType

    protected int concurrencyType

  Holds the concurrency type.

### fetchDirection

    protected int fetchDirection

  Holds the fetch direction.

Constructor Detail

### ResultSetAgentImpl

    public ResultSetAgentImpl(com.stc.connector.db.Session session)

  ResultSetAgentImpl constructor.

  Parameters:
    `session` - a current Session object.

Method Detail

### resultSetToBeOpened

    public void resultSetToBeOpened()

  Signals a result set is going to be opened. This is to notify to prepare, i.e., to close the previous ResultSet before opening a new one. This should be called before resultSetOpen.

  Specified by:
    `resultSetToBeOpened` in interface `com.stc.connector.db.StatementEventListener`

### resultSetOpen

    public void resultSetOpen(com.stc.connector.db.StatementEvent evt)

  Handles resultSetOpen event. It retrives the Result Set from the event.

  Specified by:
    `resultSetOpen` in interface `com.stc.connector.db.StatementEventListener`
  Parameters:
    `evt` - a Statement event.

### statementClose

    public void statementClose(com.stc.connector.db.StatementEvent evt)

  Handles statementClose event. It closes the Result Set.

  Specified by:
    `statementClose` in interface `com.stc.connector.db.StatementEventListener`
  Parameters:
    `evt` - a Statement event.

### statementReset

    public void statementReset(com.stc.connector.db.StatementEvent evt)

  Handles statementReset event. It closes the Result Set.

  Specified by:
    `statementReset` in interface `com.stc.connector.db.StatementEventListener`
  Parameters:
    `evt` - a Statement event.

### queryName

    public java.lang.String queryName()

  Retrieves a ResultSetMetaData object that contains ResultSet propreties.

  Specified by:
    `queryName` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    the metadata of the result set.

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Gets the concurrency mode for this ResultSet object.

  Specified by:
    `getMetaData` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    the concurrency mode.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

  Gets the concurrency mode for this ResultSet object.

  Specified by:
    `getConcurrency` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    the concurrency mode.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getFetchDirection

    public int getFetchDirection()
                          throws java.sql.SQLException

  Gets the direction suggested to the driver as the row fetch direction.

  Specified by:
    `getFetchDirection` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    the fetch direction.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### setFetchDirection

    public void setFetchDirection(int iDir)
                           throws java.sql.SQLException

  Gives the driver a hint as to the row process direction.

  Specified by:
    `setFetchDirection` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `iDir` - the fetch direction value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getFetchSize

    public int getFetchSize()
                     throws java.sql.SQLException

  Gets the number of rows to fetch suggested to the driver

  Specified by:
    `getFetchSize` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    the number of rows to fetch.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### setFetchSize

    public void setFetchSize(int nSize)
                      throws java.sql.SQLException

  Gives the drivers a hint as to the number of rows that should be fetched each time.

  Specified by:
    `setFetchSize` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `nSize` - the number of rows to fetch.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getCursorName

    public java.lang.String getCursorName()
                                   throws java.sql.SQLException

  Retrieves the name for the cursor associated with this ResultSet object.

  Specified by:
    `getCursorName` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    the name for the cursor.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### close

    public void close()
               throws java.sql.SQLException

  Immediately releases a ResultSet object's resources.

  Specified by:
    `close` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### next

    public boolean next()
                 throws java.sql.SQLException

  Moves the cursor to the next row of the result set.

  Specified by:
    `next` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if successful; false if there is no more row.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### previous

    public boolean previous()
                     throws java.sql.SQLException

  Moves the cursor to the previous row of the result set.

  Specified by:
    `previous` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if successful; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### absolute

    public boolean absolute(int index)
                     throws java.sql.SQLException

  Moves the cursor to the specified row of the result set.

  Specified by:
    `absolute` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    true if successful; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### relative

    public boolean relative(int index)
                     throws java.sql.SQLException

  Moves the cursor to the specified row relative to current row of the result set.

  Specified by:
    `relative` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    true if successful; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### first

    public boolean first()
                  throws java.sql.SQLException

  Moves the cursor to the first row of the result set.

  Specified by:
    `first` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if successful; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

  Determines whether the cursor is on the first row of the result set.

  Specified by:
    `isFirst` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if successful; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### last

    public boolean last()
                 throws java.sql.SQLException

  Moves the cursor to the last row of the result set.

  Specified by:
    `last` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if successful; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### isLast

    public boolean isLast()
                   throws java.sql.SQLException

  Determines whether the cursor is on the last row of the result set.

  Specified by:
    `isLast` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if the cursor is in the last row;false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

  Moves the cursor before the first row of the result set.

  Specified by:
    `beforeFirst` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

  Determines whether the cursor is before the first row of the result set.

  Specified by:
    `isBeforeFirst` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if the cursor is before the first row; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### afterLast

    public void afterLast()
                   throws java.sql.SQLException

  Moves the cursor after the last row of the result set.

  Specified by:
    `afterLast` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

  Determines whether the cursor is after the last row of the result set.

  Specified by:
    `isAfterLast` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if the cursor is after the last row; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getType

    public int getType()
                throws java.sql.SQLException

  Retrieves the scroll type of cursor associated with the result set.

  Specified by:
    `getType` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    the scroll type of the cursor.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### findColumn

    public int findColumn(java.lang.String index)
                   throws java.sql.SQLException

  Returns the column index for the named column in the result set.

  Specified by:
    `findColumn` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the column index for the named column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getObject

    public java.lang.Object getObject(int index)
                               throws java.sql.SQLException

  Gets the object value of the specified column.

  Specified by:
    `getObject` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Object value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getObject

    public java.lang.Object getObject(java.lang.String index)
                               throws java.sql.SQLException

  Gets the object value of the specified column.

  Specified by:
    `getObject` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Object value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getObject

    public java.lang.Object getObject(int index,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Gets the object value of the specified column using the given type map.

  Specified by:
    `getObject` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `map` - the mapping from SQL type names to Java classes.
  Returns:
    the object value of the specified column
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getObject

    public java.lang.Object getObject(java.lang.String index,
                                      java.util.Map map)
                               throws java.sql.SQLException

  Gets the object value of the specified column using the given type map.

  Specified by:
    `getObject` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `map` - the mapping from SQL type names to Java classes.
  Returns:
    the object value of the specified column
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBoolean

    public boolean getBoolean(int index)
                       throws java.sql.SQLException

  Gets the boolean value of the specified column.

  Specified by:
    `getBoolean` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the boolean value of the specified column
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBoolean

    public boolean getBoolean(java.lang.String index)
                       throws java.sql.SQLException

  Gets the boolean value of the specified column.

  Specified by:
    `getBoolean` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the boolean value of the specified column
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getByte

    public byte getByte(int index)
                 throws java.sql.SQLException

  Gets the byte value of the specified column.

  Specified by:
    `getByte` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the byte value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getByte

    public byte getByte(java.lang.String index)
                 throws java.sql.SQLException

  Gets the byte value of the specified column.

  Specified by:
    `getByte` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the byte value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getShort

    public short getShort(int index)
                   throws java.sql.SQLException

  Gets the short value of the specified column.

  Specified by:
    `getShort` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the short value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getShort

    public short getShort(java.lang.String index)
                   throws java.sql.SQLException

  Gets the short value of the specified column.

  Specified by:
    `getShort` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the short value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getInt

    public int getInt(int index)
               throws java.sql.SQLException

  Gets the integer value of the specified column.

  Specified by:
    `getInt` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the integer value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getInt

    public int getInt(java.lang.String index)
               throws java.sql.SQLException

  Gets the integer value of the specified column.

  Specified by:
    `getInt` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the integer value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getLong

    public long getLong(int index)
                 throws java.sql.SQLException

  Gets the long value of the specified column.

  Specified by:
    `getLong` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the long value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getLong

    public long getLong(java.lang.String index)
                 throws java.sql.SQLException

  Gets the long value of the specified column.

  Specified by:
    `getLong` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the long value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getFloat

    public float getFloat(int index)
                   throws java.sql.SQLException

  Gets the float value of the specified column..

  Specified by:
    `getFloat` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the float value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getFloat

    public float getFloat(java.lang.String index)
                   throws java.sql.SQLException

  Gets the float value of the specified column..

  Specified by:
    `getFloat` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the float value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getDouble

    public double getDouble(int index)
                     throws java.sql.SQLException

  Gets the double value of the specified column..

  Specified by:
    `getDouble` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the double value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getDouble

    public double getDouble(java.lang.String index)
                     throws java.sql.SQLException

  Gets the double value of the specified column.

  Specified by:
    `getDouble` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the double value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(int index)
                                       throws java.sql.SQLException

  Gets the decimal value of the specified column..

  Specified by:
    `getBigDecimal` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the BigDecimal value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBigDecimal

    public java.math.BigDecimal getBigDecimal(java.lang.String index)
                                       throws java.sql.SQLException

  Gets the decimal value of the specified column.

  Specified by:
    `getBigDecimal` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the BigDecimal value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getDate

    public java.sql.Date getDate(int index)
                          throws java.sql.SQLException

  Gets the date value of the specified column.

  Specified by:
    `getDate` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Date value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getDate

    public java.sql.Date getDate(java.lang.String index)
                          throws java.sql.SQLException

  Gets the date value of the specified column.

  Specified by:
    `getDate` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Date value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getDate

    public java.sql.Date getDate(int index,
                                 java.util.Calendar calendar)
                          throws java.sql.SQLException

  Gets the date value of the specified column using the time zone from calendar.

  Specified by:
    `getDate` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `calendar` - the Calendar object used to construct the Date object.
  Returns:
    the Date value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getDate

    public java.sql.Date getDate(java.lang.String index,
                                 java.util.Calendar calendar)
                          throws java.sql.SQLException

  Gets the date value of the specified column using the time zone from calendar.

  Specified by:
    `getDate` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `calendar` - the Calendar object used to construct the Date object.
  Returns:
    the Date value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTime

    public java.sql.Time getTime(int index)
                          throws java.sql.SQLException

  Gets the time value of the specified column.

  Specified by:
    `getTime` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Time value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTime

    public java.sql.Time getTime(java.lang.String index)
                          throws java.sql.SQLException

  Gets the time value of the specified column.

  Specified by:
    `getTime` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Time value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTime

    public java.sql.Time getTime(int index,
                                 java.util.Calendar calendar)
                          throws java.sql.SQLException

  Gets the time value of the specified column using the time zone from calendar.

  Specified by:
    `getTime` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `calendar` - the Calendar object used to construct the Time object.
  Returns:
    the Time value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTime

    public java.sql.Time getTime(java.lang.String index,
                                 java.util.Calendar calendar)
                          throws java.sql.SQLException

  Gets the time value of the specified column using the time zone from calendar.

  Specified by:
    `getTime` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `calendar` - the Calendar object used to construct the Time object.
  Returns:
    the Time value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTimestamp

    public java.sql.Timestamp getTimestamp(int index)
                                    throws java.sql.SQLException

  Gets the timestamp value of the specified column.

  Specified by:
    `getTimestamp` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Timestamp value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String index)
                                    throws java.sql.SQLException

  Gets the timestamp value of the specified column.

  Specified by:
    `getTimestamp` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Timestamp value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTimestamp

    public java.sql.Timestamp getTimestamp(int index,
                                           java.util.Calendar calendar)
                                    throws java.sql.SQLException

  Gets the timestamp value of the specified column using the time zone from calendar.

  Specified by:
    `getTimestamp` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `calendar` - the Calendar object used to construct the Timestamp object.
  Returns:
    the Timestamp value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getTimestamp

    public java.sql.Timestamp getTimestamp(java.lang.String index,
                                           java.util.Calendar calendar)
                                    throws java.sql.SQLException

  Gets the timestamp value of the specified column using the time zone from calendar.

  Specified by:
    `getTimestamp` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `calendar` - the Calendar object used to construct the Timestamp object.
  Returns:
    the Timestamp value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getString

    public java.lang.String getString(int index)
                               throws java.sql.SQLException

  Gets the string value of the specified column.

  Specified by:
    `getString` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the String value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getString

    public java.lang.String getString(java.lang.String index)
                               throws java.sql.SQLException

  Gets the string value of the specified column.

  Specified by:
    `getString` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the String value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBytes

    public byte[] getBytes(int index)
                    throws java.sql.SQLException

  Gets the byte array value of the specified column.

  Specified by:
    `getBytes` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the byte array value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBytes

    public byte[] getBytes(java.lang.String index)
                    throws java.sql.SQLException

  Gets the byte array value of the specified column.

  Specified by:
    `getBytes` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the byte array value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getAsciiStream

    public java.io.InputStream getAsciiStream(int index)
                                       throws java.sql.SQLException

  Retrieves the value of the specified column vlaue as a stream of ASCII characters.

  Specified by:
    `getAsciiStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Ascii stream value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getAsciiStream

    public java.io.InputStream getAsciiStream(java.lang.String index)
                                       throws java.sql.SQLException

  Retrieves the value of the specified column as a stream of ASCII characters.

  Specified by:
    `getAsciiStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Ascii stream value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBinaryStream

    public java.io.InputStream getBinaryStream(int index)
                                        throws java.sql.SQLException

  Retrieves the value of the specified column as a stream of uninterpreted bytes.

  Specified by:
    `getBinaryStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Binary stream value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBinaryStream

    public java.io.InputStream getBinaryStream(java.lang.String index)
                                        throws java.sql.SQLException

  Retrieves the value of the specified column as a stream of uninterpreted bytes.

  Specified by:
    `getBinaryStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Binary stream value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getCharacterStream

    public java.io.Reader getCharacterStream(int index)
                                      throws java.sql.SQLException

  Retrieves the value of the specified column as a Reader object.

  Specified by:
    `getCharacterStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Character stream value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getCharacterStream

    public java.io.Reader getCharacterStream(java.lang.String index)
                                      throws java.sql.SQLException

  Retrieves the value of the specified column as a Reader object.

  Specified by:
    `getCharacterStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Character stream value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getArray

    public java.sql.Array getArray(int index)
                            throws java.sql.SQLException

  Gets the Array value of the specified column.

  Specified by:
    `getArray` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Array value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getArray

    public java.sql.Array getArray(java.lang.String index)
                            throws java.sql.SQLException

  Gets the Array value of the specified column.

  Specified by:
    `getArray` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Array value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBlob

    public java.sql.Blob getBlob(int index)
                          throws java.sql.SQLException

  Gets the Blob value of the specified column.

  Specified by:
    `getBlob` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Blob value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getBlob

    public java.sql.Blob getBlob(java.lang.String index)
                          throws java.sql.SQLException

  Gets the Blob value of the specified column.

  Specified by:
    `getBlob` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Blob value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getClob

    public java.sql.Clob getClob(int index)
                          throws java.sql.SQLException

  Gets the Clob value of the specified column.

  Specified by:
    `getClob` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Clob value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getClob

    public java.sql.Clob getClob(java.lang.String index)
                          throws java.sql.SQLException

  Gets the Clob value of the specified column.

  Specified by:
    `getClob` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Clob value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getRef

    public java.sql.Ref getRef(int index)
                        throws java.sql.SQLException

  Gets the Ref value of the specified column.

  Specified by:
    `getRef` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Returns:
    the Ref value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getRef

    public java.sql.Ref getRef(java.lang.String index)
                        throws java.sql.SQLException

  Gets the Ref value of the specified column..

  Specified by:
    `getRef` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Returns:
    the Ref value of the specified column.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### wasNull

    public boolean wasNull()
                    throws java.sql.SQLException

  Checks to see if the last value read was SQL NULL or not..

  Specified by:
    `wasNull` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if the last value read was SQL NUll;false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getWarnings

    public java.sql.SQLWarning getWarnings()
                                    throws java.sql.SQLException

  Gets the first SQLWarning that has been reported for this object..

  Specified by:
    `getWarnings` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    the first SQLWarning.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### clearWarnings

    public void clearWarnings()
                       throws java.sql.SQLException

  Clears any warnings reported on this object.

  Specified by:
    `clearWarnings` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### getRow

    public int getRow()
               throws java.sql.SQLException

  Retrieves the current row number in the result set.

  Specified by:
    `getRow` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    the current row number.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

  Replaces the values int the current row of the result set with their current. values in the database

  Specified by:
    `refreshRow` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### insertRow

    public void insertRow()
                   throws java.sql.SQLException

  Inserts the contents of the insert row into the result set and the database.

  Specified by:
    `insertRow` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateRow

    public void updateRow()
                   throws java.sql.SQLException

  Updates the underlying database with the new contents of the current row.

  Specified by:
    `updateRow` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

  Deletes the current row from the result set and the underlying database.

  Specified by:
    `deleteRow` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

  Rolls back the updates made to a row if it is invoked before calling the method updateRow.

  Specified by:
    `cancelRowUpdates` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

  Moves the cursor to the insert row that associated with an updatable result set.

  Specified by:
    `moveToInsertRow` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

  Moves the cursor to the remembered cursor position in the result set before it was moved to the insert row.

  Specified by:
    `moveToCurrentRow` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

  Determines whether the current row in this result set has been inserted..

  Specified by:
    `rowInserted` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if the current row in this result set has been inserted; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

  Determines whether the current row int the result set has been updated..

  Specified by:
    `rowUpdated` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if the current row in this result set has been updated; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

  Determines whether the current row in the result set has been deleted.

  Specified by:
    `rowDeleted` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Returns:
    true if the current row in this result set has been deleted; false otherwise.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateNull

    public void updateNull(int index)
                    throws java.sql.SQLException

  Updates the designated nullable column with a null value.

  Specified by:
    `updateNull` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateNull

    public void updateNull(java.lang.String index)
                    throws java.sql.SQLException

  Updates the designated nullable column with a null value.

  Specified by:
    `updateNull` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateObject

    public void updateObject(int index,
                             java.lang.Object ob)
                      throws java.sql.SQLException

  Updates the designated column with a Object value.

  Specified by:
    `updateObject` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `ob` - the desired Object value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateObject

    public void updateObject(java.lang.String index,
                             java.lang.Object ob)
                      throws java.sql.SQLException

  Updates the designated column with a Object value.

  Specified by:
    `updateObject` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `ob` - the desired Object value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateObject

    public void updateObject(int index,
                             java.lang.Object ob,
                             int scale)
                      throws java.sql.SQLException

  Updates the designated column with a Object value with the specified scale.

  Specified by:
    `updateObject` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `ob` - the desired Object value.
    `scale` - the desired number of digits to the right of the decimal point.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateObject

    public void updateObject(java.lang.String index,
                             java.lang.Object ob,
                             int scale)
                      throws java.sql.SQLException

  Updates the designated column with a Object value with the specified scale.

  Specified by:
    `updateObject` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `ob` - the desired Object value.
    `scale` - the desired number of digits to the right of the decimal point.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateBoolean

    public void updateBoolean(int index,
                              boolean b)
                       throws java.sql.SQLException

  Updates the designated column with a boolean value.

  Specified by:
    `updateBoolean` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `b` - the desired boolean value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateBoolean

    public void updateBoolean(java.lang.String index,
                              boolean b)
                       throws java.sql.SQLException

  Updates the designated column with a boolean value.

  Specified by:
    `updateBoolean` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `b` - the desired boolean value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateByte

    public void updateByte(int index,
                           byte byt)
                    throws java.sql.SQLException

  Updates the designated column with a byte value.

  Specified by:
    `updateByte` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `byt` - the desired byte value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateByte

    public void updateByte(java.lang.String index,
                           byte byt)
                    throws java.sql.SQLException

  Updates the designated column with a byte value.

  Specified by:
    `updateByte` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `byt` - the desired byte value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateShort

    public void updateShort(int index,
                            short si)
                     throws java.sql.SQLException

  Updates the designated column with a short value.

  Specified by:
    `updateShort` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `si` - the desired short value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateShort

    public void updateShort(java.lang.String index,
                            short si)
                     throws java.sql.SQLException

  Updates the designated column with a short value.

  Specified by:
    `updateShort` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `si` - the desired short value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateInt

    public void updateInt(int index,
                          int i)
                   throws java.sql.SQLException

  Updates the designated column with an integer value.

  Specified by:
    `updateInt` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `i` - the desired integer value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateInt

    public void updateInt(java.lang.String index,
                          int i)
                   throws java.sql.SQLException

  Updates the designated column with an integer value.

  Specified by:
    `updateInt` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `i` - the desired integer value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateLong

    public void updateLong(int index,
                           long l)
                    throws java.sql.SQLException

  Updates the designated column with a long value.

  Specified by:
    `updateLong` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `l` - the desired long value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateLong

    public void updateLong(java.lang.String index,
                           long l)
                    throws java.sql.SQLException

  Updates the designated column with a long value.

  Specified by:
    `updateLong` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `l` - the desired long value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateFloat

    public void updateFloat(int index,
                            float f)
                     throws java.sql.SQLException

  Updates the designated column with a float value.

  Specified by:
    `updateFloat` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `f` - the desired float value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateFloat

    public void updateFloat(java.lang.String index,
                            float f)
                     throws java.sql.SQLException

  Updates the designated column with a float value.

  Specified by:
    `updateFloat` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `f` - the desired float value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateDouble

    public void updateDouble(int index,
                             double d)
                      throws java.sql.SQLException

  Updates the designated column with a double value.

  Specified by:
    `updateDouble` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `d` - the desired double value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateDouble

    public void updateDouble(java.lang.String index,
                             double d)
                      throws java.sql.SQLException

  Updates the designated column with a double value.

  Specified by:
    `updateDouble` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `d` - the desired double value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateBigDecimal

    public void updateBigDecimal(int index,
                                 java.math.BigDecimal dec)
                          throws java.sql.SQLException

  Updates the designated column with a BigDecimal object.

  Specified by:
    `updateBigDecimal` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `dec` - the desired BigDecimal value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateBigDecimal

    public void updateBigDecimal(java.lang.String index,
                                 java.math.BigDecimal dec)
                          throws java.sql.SQLException

  Updates the designated column with a BigDecimal object.

  Specified by:
    `updateBigDecimal` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `dec` - the desired BigDecimal value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateDate

    public void updateDate(int index,
                           java.sql.Date date)
                    throws java.sql.SQLException

  Updates the designated column with a Date object.

  Specified by:
    `updateDate` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `date` - the desired Date value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateDate

    public void updateDate(java.lang.String index,
                           java.sql.Date date)
                    throws java.sql.SQLException

  Updates the designated column with a Date object.

  Specified by:
    `updateDate` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `date` - the desired Date value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateTime

    public void updateTime(int index,
                           java.sql.Time t)
                    throws java.sql.SQLException

  Updates the designated column with a Time object.

  Specified by:
    `updateTime` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `t` - the desired Time value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateTime

    public void updateTime(java.lang.String index,
                           java.sql.Time t)
                    throws java.sql.SQLException

  Updates the designated column with a Time object.

  Specified by:
    `updateTime` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `t` - the desired Time value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateTimestamp

    public void updateTimestamp(int index,
                                java.sql.Timestamp ts)
                         throws java.sql.SQLException

  Updates the designated column with a Timestamp object.

  Specified by:
    `updateTimestamp` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `ts` - the desired Timestamp value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateTimestamp

    public void updateTimestamp(java.lang.String index,
                                java.sql.Timestamp ts)
                         throws java.sql.SQLException

  Updates the designated column with a Timestamp object.

  Specified by:
    `updateTimestamp` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `ts` - the desired Timestamp value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateString

    public void updateString(int index,
                             java.lang.String s)
                      throws java.sql.SQLException

  Updates the designated column with a String object.

  Specified by:
    `updateString` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `s` - the desired String value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateString

    public void updateString(java.lang.String index,
                             java.lang.String s)
                      throws java.sql.SQLException

  Updates the designated column with a String object.

  Specified by:
    `updateString` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `s` - the desired String value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateBytes

    public void updateBytes(int index,
                            byte[] bytes)
                     throws java.sql.SQLException

  Updates the designated column with a byte array value.

  Specified by:
    `updateBytes` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `bytes` - the desired byte array value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateBytes

    public void updateBytes(java.lang.String index,
                            byte[] bytes)
                     throws java.sql.SQLException

  Updates the designated column with a byte array value.

  Specified by:
    `updateBytes` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `bytes` - the desired byte array value.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateAsciiStream

    public void updateAsciiStream(int index,
                                  java.io.InputStream is,
                                  int length)
                           throws java.sql.SQLException

  Updates the designated column with an InputStream object of specified length.

  Specified by:
    `updateAsciiStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `is` - the desired Ascii stream value.
    `length` - the number of bytes of the stream.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateAsciiStream

    public void updateAsciiStream(java.lang.String index,
                                  java.io.InputStream is,
                                  int length)
                           throws java.sql.SQLException

  Updates the designated column with an InputStream object of specified length.

  Specified by:
    `updateAsciiStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `is` - the desired Ascii stream value.
    `length` - the number of bytes of the stream.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateBinaryStream

    public void updateBinaryStream(int index,
                                   java.io.InputStream is,
                                   int length)
                            throws java.sql.SQLException

  Updates the designated column with an InputStream object of specified length.

  Specified by:
    `updateBinaryStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `is` - the desired Binary stream value.
    `length` - the number of bytes of the stream.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateBinaryStream

    public void updateBinaryStream(java.lang.String index,
                                   java.io.InputStream is,
                                   int length)
                            throws java.sql.SQLException

  Updates the designated column with an InputStream object of specified length.

  Specified by:
    `updateBinaryStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `is` - the desired Binary stream value.
    `length` - the number of bytes of the stream.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateCharacterStream

    public void updateCharacterStream(java.lang.String index,
                                      java.io.Reader rd,
                                      int length)
                               throws java.sql.SQLException

  Updates the designated column with a Reader object of specified length.

  Specified by:
    `updateCharacterStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column name.
    `rd` - the desired Reader value.
    `length` - the number of characters of the stream.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

### updateCharacterStream

    public void updateCharacterStream(int index,
                                      java.io.Reader rd,
                                      int length)
                               throws java.sql.SQLException

  Updates the designated column with a Reader object of specified length.

  Specified by:
    `updateCharacterStream` in interface `com.stc.connector.appconn.db.ResultSetAgent`
  Parameters:
    `index` - the column index.
    `rd` - the desired Reader value.
    `length` - the number of characters of the stream.
  Throws:
    `java.sql.SQLException` - when SQL problems occur.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for DB2 Universal Database
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD